pub mod builder_traits;
pub mod models;

use crate::gtk::glib;

use glib::Object;

glib::wrapper! {
    pub struct Frequency(ObjectSubclass<models::Frequency>);
}

impl Frequency {
    pub fn new(frequency: f64) -> Self {
        Object::builder().property("frequency", frequency).build()
    }

    pub fn default() -> Self {
        Object::new()
    }
}
